/* Install utility for SHOOTEM.EXE */

/* Initialize rexxutil */
Call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs'
Call SysLoadFuncs

Say 'Shootem installation utility'
Say ''

/* Check if MMPM/2 is installed */
HaveMMPM = RxFuncAdd('mciRxInit', 'MCIAPI', mciRxInit )
if HaveMMPM = 0 then
	do
	Say 'MMPM/2 not found.'
	PrgName = "_shootem.exe"
	end /* do */
else
   do
   Say 'MMPM/2 was found.'
	PrgName = "shootem.exe"
	end /* do */
rc = SysFileTree( PrgName, fspec, "FO")
if rc = 0 then 
	do
	filename=filespec("Name", fspec.1)
	filepath=filespec("Path", fspec.1)
	filedrive=filespec("Drive", fspec.1)
	if SysCreateObject( "WPProgram", "Shoot'm", "<WP_DESKTOP>",,
		"EXENAME="filedrive||filepath||filename,
		";STARTUPDIR="||filedrive||filepath, "replace") \= 0 then
		do
		say "Program object was successfully created on your desktop"
		say ""
		say "Double click the icon to start the program!"
		say "You have to wait a while until you see what it does..."
		end 
	else
		do
	   say "Error creating program object!"
	   end /* if ... else ... */
	end /* if */
else /* rc == 0 */
	say "Error using SysFileTree"
/* end if ... else ... */
	
call SysDropFuncs
exit
