/***************************************************************************\
 * play.c
 * Plays *.voc and *.wav file. Filenames can be entered at the command line.
 * This program is developed for test purposes only. You can achieve the
 * same results using REXX in an easier way.
 *
 * Copyright (C) 1994 Ralf Seidel
 * Set tabs to 3 to get a readable source.
\***************************************************************************/
#include <os2.h>
#define  INCL_OS2MM
#include <os2me.h>
#include <stdio.h>
#include <stdlib.h>
#include "mmsound.h"

INT main( INT argc, PSZ argv[] )
{
	BOOL bResult;
	BOOL bQuiet = FALSE;
	PSZ *ppszParm;

	_wildcard( &argc, &argv );
	

	for ( ppszParm = &argv[1]; *ppszParm; ppszParm++ ) {
		if ( !bQuiet ) {
			printf( "Playing soundfile %s\n", *ppszParm );
		}
		bResult =
		AudioPlayFile( *ppszParm );
		if ( !bResult ) 
			fprintf( stderr, "Error playing file %s\n", *ppszParm );
	}
	return 0;
}
